This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 504595 - GPL violation due to linkage with OpenSSL
GPL violation due to linkage with OpenSSL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: chntpw (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-08 08:53 EDT by Paul Wise (Debian)
Modified: 2009-07-03 15:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.99.6-5.fc10.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:44:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wise (Debian) 2009-06-08 08:53:37 EDT
The Fedora chntpw package violates the GNU GPLv2. It links to OpenSSL, which has an incompatible license and upstream does not provide the standard OpenSSL exception for GPLed applications. The above violation means Fedora is no longer allowed to distribute chntpw and has to contact the upstream author to rectify the situation and receive permission to distribute chntpw again. Debian GNU/Linux provides a patch[1] to allow chntpw to link to libgcrypt instead, avoiding the GPL violation. Unfortunately upstream refuses to add an exception or include the patch, perhaps you can convince them to do so when you are obtaining permission to distribute chntpw again.

1. http://patch-tracking.debian.net/patch/series/view/chntpw/0.99.5-0+nmu1/01_port_to_gcrypt.patch
Comment 1 Conrad Meyer 2009-06-08 10:43:51 EDT
I don't have any relation with upstream on this package (in fact, I thought it was dead). But I will include Debian's libgcrypt patch when finals week is over for me (or if you're in the provenpackager group, feel free to add it yourself before then).
Comment 2 Richard W.M. Jones 2009-06-09 05:20:51 EDT
Paul is a Debian developer.  I will take the Debian patch
so we can use libgcrypt.
Comment 3 Fedora Update System 2009-06-09 08:11:56 EDT
chntpw-0.99.6-5.fc10.2 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/chntpw-0.99.6-5.fc10.2
Comment 4 Fedora Update System 2009-06-09 08:11:59 EDT
chntpw-0.99.6-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/chntpw-0.99.6-9.fc11
Comment 5 Bug Zapper 2009-06-09 23:43:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2009-06-15 21:47:59 EDT
chntpw-0.99.6-5.fc10.2 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update chntpw'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6165
Comment 7 Fedora Update System 2009-06-15 21:50:31 EDT
chntpw-0.99.6-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update chntpw'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6189
Comment 8 Fedora Update System 2009-07-03 15:44:06 EDT
chntpw-0.99.6-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-07-03 15:48:41 EDT
chntpw-0.99.6-5.fc10.2 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.